Modified version of Moodle SCORM from 2.4.1 for use with the Experience API for Moodle and TIN CAN published packages.
Switch branches/tags
Nothing to show
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
backup
datamodels
db
lang/en
pix
report
tests
.gitignore
README.md
aicc.php
datamodel.php
grade.php
index.php
lib.php
loadSCO.php
loaddatamodel.php
locallib.php
mod_form.php
module.js
player.js
player.php
prereqs.php
report.php
reportsettings_form.php
request.js
settings.php
styles.css
tabs.php
tcapilib.php
userreport.php
version.php
view.js
view.php

README.md

TCAPI-Moodle-SCORM-mod

Modified version of Moodle SCORM from 2.4.1 for use with the Experience API for Moodle. This SCORM module will allow seamless hosting and tracking of TIN CAN published packages as produced with Articulate Storyline. See also my Experience API for Moodle.

Installation and Configuration:

  1. This package is modified from the original SCORM module packaged with Moodle 2.4.1.
  2. To install, simply replace your existing SCORM module with the contents of this package.
  3. To take advantage of the TIN CAN functionalities, you'll need to install the TCAPI local plugin package. Be sure to follow the installation and configuration instructions.
  4. If you would like to modify an existing SCORM module of a different version rather than install this package, refer to the changes from the initial commit of this package (this is the original SCORM module) and the changes commit.
  5. If you install this package in place of a later version of SCORM, you may need to change the version date in the version.php file so that Moodle will accept as an upgrade.